AnsweredAssumed Answered

After running "bitbake openjdk-7-jre" successfully, how do I install the resulting binary?

Question asked by nick caruso on Feb 18, 2016
Latest reply on Mar 2, 2016 by nick caruso

OK, I've found "rpm" files for openjdk in the tmp/deploy directory tree, but when I try to install them on my target machine using rpm, the following happens:

 

root@t4240rdb:~# rpm -i openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500.rpm

error: Failed dependencies:

    libc.so.6(GLIBC_2.3)(64bit) is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    libc.so.6(GLIBC_2.4)(64bit) is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    libc.so.6()(64bit) is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    libz1 >= 1.2.8 is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    libjli.so()(64bit) is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    libc6 >= 2.20 is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    openjdk-7-java is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    openjdk-7-common is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    update-alternatives-opkg is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    libz.so.1()(64bit) is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    libjli.so(SUNWprivate_1.1)(64bit) is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

    /bin/sh is needed by openjdk-7-jre-25b30+2.3.12-r5.1.ppc64e6500

 

There must be an easier way but I can't see it in the docs.

Outcomes